# FoundationClasses
TKernel
NCollection

# NCollection_DataMap< TheKeyType, TheItemType >::DataMapNode Class Reference

`#include <NCollection_DataMap.hxx>`

Inheritance diagram for NCollection_DataMap< TheKeyType, TheItemType >::DataMapNode:

[legend]

## Public Member Functions

| DataMapNode (const TheKeyType &theKey, const TheItemType &theItem, NCollection_ListNode *theNext)
| Constructor with 'Next'.
const TheKeyType & | Key (void) const
| Key.

## Static Public Member Functions

static void | delNode (NCollection_ListNode *theNode, Handle(NCollection_BaseAllocator)&theAl)
| Static deleter to be passed to BaseList.

## Private Attributes

TheKeyType | myKey

### template<class TheKeyType, class TheItemType>
class NCollection_DataMap< TheKeyType, TheItemType >::DataMapNode

## Constructor & Destructor Documentation

template<class TheKeyType, class TheItemType>
NCollection_DataMap< TheKeyType, TheItemType >::DataMapNode::DataMapNode | ( | const TheKeyType & | theKey,
|  | const TheItemType & | theItem,
|  | NCollection_ListNode * | theNext
| ) | `[inline]`

## Member Function Documentation

template<class TheKeyType, class TheItemType>
static void NCollection_DataMap< TheKeyType, TheItemType >::DataMapNode::delNode | ( | NCollection_ListNode * | theNode,
|  | Handle(NCollection_BaseAllocator)& | theAl
| ) | `[inline, static]`

| Reimplemented from NCollection_TListNode< TheItemType >.

template<class TheKeyType, class TheItemType>
const TheKeyType& NCollection_DataMap< TheKeyType, TheItemType >::DataMapNode::Key | ( | void |  | ) | const`[inline]`

## Field Documentation

template<class TheKeyType, class TheItemType>
TheKeyType NCollection_DataMap< TheKeyType, TheItemType >::DataMapNode::myKey `[private]`

The documentation for this class was generated from the following file:

- NCollection_DataMap.hxx